<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:19 PST 2021 -->
<title>PluginDescriptor (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PluginDescriptor (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PluginDescriptor.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/plugin/PluginClassLoader.html" title="class in org.apache.nutch.plugin"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/plugin/PluginManifestParser.html" title="class in org.apache.nutch.plugin"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/plugin/PluginDescriptor.html" target="_top">Frames</a></li>
<li><a href="PluginDescriptor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.plugin</div>
<h2 title="Class PluginDescriptor" class="title">Class PluginDescriptor</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.plugin.PluginDescriptor</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">PluginDescriptor</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">The <code>PluginDescriptor</code> provide access to all meta information of a
 nutch-plugin, as well to the internationalizable resources and the plugin own
 classloader. There are meta information about <code>Plugin</code>,
 <code>ExtensionPoint</code> and <code>Extension</code>. To provide access to
 the meta data of a plugin via a descriptor allow a lazy loading mechanism.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#PluginDescriptor-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-org.apache.hadoop.conf.Configuration-">PluginDescriptor</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pId,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pVersion,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pName,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pProviderName,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pPluginclazz,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pPath,
                <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</code>
<div class="block">Constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#addDependency-java.lang.String-">addDependency</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pId)</code>
<div class="block">Adds a dependency</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#addExportedLibRelative-java.lang.String-">addExportedLibRelative</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pLibPath)</code>
<div class="block">Adds a exported library with a relative path to the plugin directory.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#addExtension-org.apache.nutch.plugin.Extension-">addExtension</a></span>(<a href="../../../../org/apache/nutch/plugin/Extension.html" title="class in org.apache.nutch.plugin">Extension</a>&nbsp;pExtension)</code>
<div class="block">Adds a extension.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#addExtensionPoint-org.apache.nutch.plugin.ExtensionPoint-">addExtensionPoint</a></span>(<a href="../../../../org/apache/nutch/plugin/ExtensionPoint.html" title="class in org.apache.nutch.plugin">ExtensionPoint</a>&nbsp;extensionPoint)</code>
<div class="block">Adds a extension point.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#addNotExportedLibRelative-java.lang.String-">addNotExportedLibRelative</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pLibPath)</code>
<div class="block">Adds a exported library with a relative path to the plugin directory.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/apache/nutch/plugin/PluginClassLoader.html" title="class in org.apache.nutch.plugin">PluginClassLoader</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#getClassLoader--">getClassLoader</a></span>()</code>
<div class="block">Returns a cached classloader for a plugin.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#getDependencies--">getDependencies</a></span>()</code>
<div class="block">Returns a array of plugin ids.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#getExportedLibUrls--">getExportedLibUrls</a></span>()</code>
<div class="block">Returns a array exported librareis as URLs</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../org/apache/nutch/plugin/Extension.html" title="class in org.apache.nutch.plugin">Extension</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#getExtensions--">getExtensions</a></span>()</code>
<div class="block">Returns an array of extensions.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/apache/nutch/plugin/ExtensionPoint.html" title="class in org.apache.nutch.plugin">ExtensionPoint</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#getExtenstionPoints--">getExtenstionPoints</a></span>()</code>
<div class="block">Returns a array of extension points.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#getName--">getName</a></span>()</code>
<div class="block">Returns the name of the plugin.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#getNotExportedLibUrls--">getNotExportedLibUrls</a></span>()</code>
<div class="block">Returns a array of libraries as URLs that are not exported by the plugin.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#getPluginClass--">getPluginClass</a></span>()</code>
<div class="block">Returns the fully qualified name of the class which implements the abstarct
 <code>Plugin</code> class.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#getPluginId--">getPluginId</a></span>()</code>
<div class="block">Returns the unique identifier of the plug-in or <code>null</code>.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#getPluginPath--">getPluginPath</a></span>()</code>
<div class="block">Returns the directory path of the plugin.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#getProviderName--">getProviderName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#getResourceString-java.lang.String-java.util.Locale-">getResourceString</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pKey,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Locale.html?is-external=true" title="class or interface in java.util">Locale</a>&nbsp;pLocale)</code>
<div class="block">Returns a I18N'd resource string.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/plugin/PluginDescriptor.html#getVersion--">getVersion</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PluginDescriptor-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-org.apache.hadoop.conf.Configuration-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PluginDescriptor</h4>
<pre>public&nbsp;PluginDescriptor(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pId,
                        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pVersion,
                        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pName,
                        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pProviderName,
                        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pPluginclazz,
                        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pPath,
                        <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</pre>
<div class="block">Constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pId</code> - </dd>
<dd><code>pVersion</code> - </dd>
<dd><code>pName</code> - </dd>
<dd><code>pProviderName</code> - </dd>
<dd><code>pPluginclazz</code> - </dd>
<dd><code>pPath</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block">Returns the name of the plugin.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a name="getPluginClass--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPluginClass</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPluginClass()</pre>
<div class="block">Returns the fully qualified name of the class which implements the abstarct
 <code>Plugin</code> class.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of this plug-in's runtime class or <code>null</code>.</dd>
</dl>
</li>
</ul>
<a name="getPluginId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPluginId</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPluginId()</pre>
<div class="block">Returns the unique identifier of the plug-in or <code>null</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a name="getExtensions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtensions</h4>
<pre>public&nbsp;<a href="../../../../org/apache/nutch/plugin/Extension.html" title="class in org.apache.nutch.plugin">Extension</a>[]&nbsp;getExtensions()</pre>
<div class="block">Returns an array of extensions.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Exception[]</dd>
</dl>
</li>
</ul>
<a name="addExtension-org.apache.nutch.plugin.Extension-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addExtension</h4>
<pre>public&nbsp;void&nbsp;addExtension(<a href="../../../../org/apache/nutch/plugin/Extension.html" title="class in org.apache.nutch.plugin">Extension</a>&nbsp;pExtension)</pre>
<div class="block">Adds a extension.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pExtension</code> - </dd>
</dl>
</li>
</ul>
<a name="addExtensionPoint-org.apache.nutch.plugin.ExtensionPoint-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addExtensionPoint</h4>
<pre>public&nbsp;void&nbsp;addExtensionPoint(<a href="../../../../org/apache/nutch/plugin/ExtensionPoint.html" title="class in org.apache.nutch.plugin">ExtensionPoint</a>&nbsp;extensionPoint)</pre>
<div class="block">Adds a extension point.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>extensionPoint</code> - </dd>
</dl>
</li>
</ul>
<a name="getExtenstionPoints--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtenstionPoints</h4>
<pre>public&nbsp;<a href="../../../../org/apache/nutch/plugin/ExtensionPoint.html" title="class in org.apache.nutch.plugin">ExtensionPoint</a>[]&nbsp;getExtenstionPoints()</pre>
<div class="block">Returns a array of extension points.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ExtensionPoint[]</dd>
</dl>
</li>
</ul>
<a name="getDependencies--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDependencies</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;getDependencies()</pre>
<div class="block">Returns a array of plugin ids.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String[]</dd>
</dl>
</li>
</ul>
<a name="addDependency-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addDependency</h4>
<pre>public&nbsp;void&nbsp;addDependency(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pId)</pre>
<div class="block">Adds a dependency</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pId</code> - id of the dependent plugin</dd>
</dl>
</li>
</ul>
<a name="addExportedLibRelative-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addExportedLibRelative</h4>
<pre>public&nbsp;void&nbsp;addExportedLibRelative(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pLibPath)
                            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/net/MalformedURLException.html?is-external=true" title="class or interface in java.net">MalformedURLException</a></pre>
<div class="block">Adds a exported library with a relative path to the plugin directory. We
 automatically escape characters that are illegal in URLs. It is recommended
 that code converts an abstract pathname into a URL by first converting it
 into a URI, via the toURI method, and then converting the URI into a URL
 via the URI.toURL method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pLibPath</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/net/MalformedURLException.html?is-external=true" title="class or interface in java.net">MalformedURLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getPluginPath--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPluginPath</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPluginPath()</pre>
<div class="block">Returns the directory path of the plugin.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a name="getExportedLibUrls--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExportedLibUrls</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>[]&nbsp;getExportedLibUrls()</pre>
<div class="block">Returns a array exported librareis as URLs</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>URL[]</dd>
</dl>
</li>
</ul>
<a name="addNotExportedLibRelative-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addNotExportedLibRelative</h4>
<pre>public&nbsp;void&nbsp;addNotExportedLibRelative(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pLibPath)
                               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/net/MalformedURLException.html?is-external=true" title="class or interface in java.net">MalformedURLException</a></pre>
<div class="block">Adds a exported library with a relative path to the plugin directory. We
 automatically escape characters that are illegal in URLs. It is recommended
 that code converts an abstract pathname into a URL by first converting it
 into a URI, via the toURI method, and then converting the URI into a URL
 via the URI.toURL method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pLibPath</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/net/MalformedURLException.html?is-external=true" title="class or interface in java.net">MalformedURLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getNotExportedLibUrls--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNotExportedLibUrls</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>[]&nbsp;getNotExportedLibUrls()</pre>
<div class="block">Returns a array of libraries as URLs that are not exported by the plugin.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>URL[]</dd>
</dl>
</li>
</ul>
<a name="getClassLoader--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClassLoader</h4>
<pre>public&nbsp;<a href="../../../../org/apache/nutch/plugin/PluginClassLoader.html" title="class in org.apache.nutch.plugin">PluginClassLoader</a>&nbsp;getClassLoader()</pre>
<div class="block">Returns a cached classloader for a plugin. Until classloader creation all
 needed libraries are collected. A classloader use as first the plugins own
 libraries and add then all exported libraries of dependend plugins.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>PluginClassLoader the classloader for the plugin</dd>
</dl>
</li>
</ul>
<a name="getResourceString-java.lang.String-java.util.Locale-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResourceString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getResourceString(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pKey,
                                <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Locale.html?is-external=true" title="class or interface in java.util">Locale</a>&nbsp;pLocale)
                         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Returns a I18N'd resource string. The resource bundles could be stored in
 root directory of a plugin in the well know i18n file name conventions.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pKey</code> - </dd>
<dd><code>pLocale</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="getProviderName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProviderName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getProviderName()</pre>
</li>
</ul>
<a name="getVersion--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getVersion</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getVersion()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PluginDescriptor.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/plugin/PluginClassLoader.html" title="class in org.apache.nutch.plugin"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/plugin/PluginManifestParser.html" title="class in org.apache.nutch.plugin"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/plugin/PluginDescriptor.html" target="_top">Frames</a></li>
<li><a href="PluginDescriptor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
